from cycler import cycler
COLORS = ['#850113', '#9BDA42', '#2A6DC2', '#E57BAA']
MARKERS = ['o', '^', 'D', '>']

rcparams = {
    'backend_fallback': True,
    'interactive': True,
    'toolbar': 'toolbar2',
    'timezone': 'UTC',
    'lines.linewidth': 2.3,
    # 'lines.linestyle':'-',
    # 'lines.color':'purple',
    # 'lines.marker':'None',
    # 'lines.markeredgewidth': 0.5,
    'lines.markersize': 8,
    # 'lines.dash_joinstyle': 'miter',
    # 'lines.dash_capstyle':'butt',
    # 'lines.solid_joinstyle':'miter',
    # 'lines.solid_capstyle':'projecting',
    'lines.antialiased': True,
    # 'patch.linewidth': 0.5,
    # 'patch.facecolor':'#348ABD',
    # 'patch.edgecolor': '#eeeeee',
    'patch.antialiased': True,
    'font.family': 'serif',
    # 'font.style': 'normal',
    # 'font.variant':'normal',
    # 'font.weight':'medium',
    # 'font.stretch':'normal',
    'font.size':20.0,
    'font.serif':   [   'Comuputer Modern Roman',
                        'Bitstream Vera Serif',
                        'New Century Schoolbook',
                        'Century Schoolbook L',
                        'Utopia',
                        'ITC Bookman',
                        'Bookman',
                        'Nimbus Roman No9 L',
                        'Times New Roman',
                        'Times',
                        'Palatino',
                        'Charter',
                        'serif'
                    ],
    # 'font.sans-serif':[ 'Bitstream Vera Sans',
    #                     'Lucida Grande',
    #                     'Verdana',
    #                     'Geneva',
    #                     'Lucid',
    #                     'Arial',
    #                     'Helvetica',
    #                     'Avant Garde',
    #                     'sans-serif'
    #                     ],
    # 'font.cursive': [   'Apple Chancery',\
    #                     'Textile',
    #                     'apf Chancery',
    #                     'Sand',
    #                     'cursive'
    #                     ],
    # 'font.fantasy': [   'Comic Sans MS',
    #                     'Chicago',
    #                     'Charcoal',
    #                     'Impact',
    #                     'Western',
    #                     'fantasy'
    #                 ],
    'font.monospace':[  'Andale Mono',
                        'Nimbus Mono L',
                        'Courier New',
                        'Courier',
                        'Fixed',
                        'Terminal',
                        'monospace'
                      ],
    # 'text.color': 'black',
    'text.usetex':False,
    # 'text.latex.unicode': False,
    # 'text.latex.preamble':[],
    # 'text.dvipnghack':None,
    # 'text.markup':'plain',
    # 'text.hinting':True,
    # 'mathtext.cal':'cursive',
    # 'mathtext.rm':'serif',
    # 'mathtext.tt':'monospace',
    # 'mathtext.it':'serif:italic',
    # 'mathtext.bf':'serif:bold',
    # 'mathtext.sf':'sans',
    # 'mathtext.fontset':'cm',
    # 'mathtext.fallback_to_cm':True,
    # 'mathtext.default':'it',
    # 'axes.hold':True,
    # 'axes.facecolor':'#eeeeee',
    # 'axes.edgecolor':'#bcbcbc',
    'axes.edgecolor':'#333333',
    'axes.linewidth':1,
    'axes.grid':False,
    'axes.titlesize':'xx-large',
    'axes.labelsize':'x-large',
    'axes.axisbelow':True,
    'axes.formatter.limits':[-3,3],
    'axes.unicode_minus':False,
    'axes.formatter.limits':[-3,3],
    'axes.unicode_minus':False,
    'axes.prop_cycle' : cycler('color', COLORS +
        ['#FF7F00', '#D0D033','#A65628','#F781BF','#999999']),
    'xtick.major.size':10,
    'xtick.minor.size':5,
    'xtick.labelsize':'large',
    'ytick.major.size':10,
    'ytick.minor.size':5,
    'ytick.labelsize':'large',
    'grid.color':'0.75',
    'grid.linestyle':'--',
    'grid.linewidth':1.0,
    'legend.fancybox':True,
    'legend.fontsize':18,
    'figure.figsize':[11.,8.],
    'figure.facecolor':'0.75',
    'figure.edgecolor':'0.50',
    'figure.subplot.left':0.15,
    'figure.subplot.right':0.9,
    'figure.subplot.bottom':0.15,
    'figure.subplot.top':0.9,
    'image.interpolation':'none',
    'image.cmap':'RdBu_r',
    'image.origin':'lower',
    'keymap.fullscreen':['f'],
    'keymap.home':['h','r','home'],
    'keymap.back':['left','c','backspace'],
    'keymap.forward':['right','v'],
    'keymap.pan':['p'],
    'keymap.zoom':['o'],
    'keymap.save':['s'],
    'keymap.grid':['g'],
    'keymap.yscale':['l'],
    'keymap.xscale':['L,k'],
    'keymap.all_axes':['a'],
    'savefig.dpi': 160,
    'savefig.facecolor': 'white',
    'savefig.edgecolor': 'white'
}

try:
    import matplotlib.pylab as pl
    pl.rcParams.update(rcparams)

except ImportError as e:
    pass
